Summary: Clam Anti-Virus on the KDE Desktop
Name: klamav
Version: 0.38
Release: 4%{?dist}
Source0: http://surfnet.dl.sourceforge.net/sourceforge/klamav/%{name}-%{version}.tar.bz2
Patch0: klamav-suse-clamav-path.diff
URL: http://klamav.sourceforge.net
Group: Applications/System
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: clamav >= 0.80
Requires: clamav-update >= 0.80
BuildRequires: kdelibs-devel >= 3.5.2
BuildRequires: clamav-devel >= 0.80
BuildRequires: curl-devel
BuildRequires: gmp-devel
BuildRequires: desktop-file-utils

%description
ClamAV Anti-Virus protection for the KDE desktop.

%prep
%setup -q
%patch0 -p0 -b .suse-clamav-path

%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf "${RPM_BUILD_ROOT}"
%{__make} DESTDIR="${RPM_BUILD_ROOT}" install

# Fix absolute link
ln -sf ../common ${RPM_BUILD_ROOT}%{_datadir}/doc/HTML/en/klamav02/

# Fix Terminal value in desktop-file
%{__sed} -i.orig -e '/^Terminal/s|^.*$|Terminal=false|' \
    ${RPM_BUILD_ROOT}%{_datadir}/applnk/Utilities/%{name}.desktop
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/applnk/Utilities/%{name}.desktop.orig

desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Utilities \
    --delete-original \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/ \
    ${RPM_BUILD_ROOT}%{_datadir}/applnk/Utilities/%{name}.desktop

%find_lang %{name}

# satisfy rpmlint claim on debuginfo subpackage
chmod 644 src/klammail/*.{c,h}

%clean
%{__rm} -rf "${RPM_BUILD_ROOT}"

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
   
%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_datadir}/doc/HTML/en/klamav02
%{_bindir}/klamav
%{_bindir}/klammail
%{_bindir}/klamarkollon
%{_bindir}/klamd
%attr(755,root,root) %{_bindir}/ScanWithKlamAV
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/apps/klamav
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/config.kcfg/klamavconfig.kcfg
%{_datadir}/icons/*/*x*/actions/klamav.png
%{_datadir}/icons/*/*x*/apps/klamav.png

%changelog
* Wed Sep 27 2006 Andy Shevchenko <andy@smile.org.ua> 0.38-4
- drop zlib-devel and bzip2-devel
- require clamav-update
- remove condition check from post scriptlets
- satisfy rpmlint claim on debuginfo subpackage
- fix Terminal value in desktop-file
- do not ship NEWS file due to is empty

* Sat Sep 02 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.38-2
- require freshclam for correct DB update
- fix rpmlint claim:
  - pack ScanWithKlamAV as executable
  - do not use absolute link
- use $RPM_BUILD_ROOT and $RPM_OPT_FLAGS in all places

* Tue Aug 08 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.38-1
- update to 0.38

* Wed Jul 12 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.37-4
- do not set CFLAGS explicitly

* Tue Jul 11 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.37-3
- fix Source0 URL
- change patch1 to patch0
- use smp if possible when make

* Tue Jul 11 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.37-2
- adjust spec according to Fedora Extras review:
  - remove --with-qt-dir, add --disable-rpath
  - BRs: desktop-file-utils
  - place desktop file properly
  - update gtk icon cache

* Wed May 03 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.37-1
- update to 0.37

* Thu Apr 06 2006 Andy Shevchenko <andriy@asplinux.com.ua>
- update to 0.35.1

* Tue Jan 10 2006 Andy Shevchenko <andy@asplinux.com.ua>
- update to 0.32.1

* Tue Nov 15 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.30.3

* Mon Sep 19 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.30.1
- separate klamav from whole source tarball
- drop unneeded patch (in mainstream)

* Mon Jul 25 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.22

* Fri Jul 08 2005 Andy Shevchenko <andriy@asplinux.ru>
- fix translations names

* Fri Jul 08 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.20.1

* Tue Jun 21 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.20

* Wed May 04 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.17.3

* Thu Apr 14 2005 Andy Shevchenko <andriy@asplinux.ru>
- update to 0.17

* Wed Mar 30 2005 Andy Shevchenko <andriy@asplinux.ru>
- rebuild for ASPLinux
- update to 0.15.2

* Wed Mar 16 2005 Pascal Bleser <guru@unixtech.be> 0.15-1
- version 0.15

* Mon Feb 14 2005 Pascal Bleser <guru@unixtech.be> 0.12.1-1
- version 0.12.1

* Sun Jan 16 2005 Pascal Bleser <guru@unixtech.be> 0.09.3-1
- version 0.09.3-1

* Wed Jan 12 2005 Pascal Bleser <guru@unixtech.be> 0.09.1-2
- added patch to use correct clamav locations

* Sun Jan  2 2005 Pascal Bleser <guru@unixtech.be> 0.09.1-1
- new package

